package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Groupss;
import com.realnet.vpspack.Services.GroupssService ;


@RequestMapping(value = "/Groupss")
 @CrossOrigin("*") 
@RestController
public class GroupssController {
	@Autowired
	private GroupssService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Groupss")
		  public Groupss Savedata(@RequestBody Groupss data) {
		Groupss save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Groupss/{id}")
	public  Groupss update(@RequestBody Groupss data,@PathVariable Integer id ) {
		Groupss update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Groupss/getall/page")
	public Page<Groupss> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Groupss> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Groupss")
	public List<Groupss> getdetails() {
		 List<Groupss> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Groupss")
	public List<Groupss> getallwioutsec() {
		 List<Groupss> get = Service.getdetails();		
		return get;
}
@GetMapping("/Groupss/{id}")
	public  Groupss  getdetailsbyId(@PathVariable Integer id ) {
		Groupss  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Groupss/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}